YouVersion PlatformYouVersion Platform
PlatformBiblesDev Docs
CommunityPartnersSupport

YouVersion Platform

Build applications and integrate with the world's most popular Bible platform.

Platform Products

  • Platform Portal
  • Developer Documentation
  • App Management

Resources

  • Support
  • Press inquiries

Legal

  • Privacy Policy
  • Terms of Use

© 2026 YouVersion. All rights reserved.

  • Overview
  • API Reference
  • SDKs
  • Changelog
<  Back to Platform
data exchange
    Show the data exchange approval page.getComplete the data exchange approval flow.postCreate a data exchange token.post
bibles
    Get a Bible collectiongetGet a Bible's datagetGet the index for a BiblegetGet a passage of Bible textgetGet a Book collection for a BiblegetGet a Book's datagetGet a Chapter collection for a BookgetGet a Chapter's datagetGet a Verse collection for a ChaptergetGet a Verse's dataget
fonts
    Get a collection of fonts supported in the Platform.getGet details about a specific font family in the Platform.getGet a browser-consumable stylesheet for a specific font family.get
highlights
    Get a collection of highlights for a user.getCreate or update a highlight on a passage.postClear highlights for a passage.delete
languages
    Get a collection of languages supported in the Platform.getGet details about a specific language in the Platform.get
licenses
    Get a collection of licensesget
permissions
    Get permissions granted to an app.get
organizations
    Get a collection of organizations in the Platform.getGet details about a specific organization in the Platform.getGet bibles associated with a specific organization in the Platform.get
verse of the days
    Get the verse of the day calendar for an entire year.getGet the verse of the day for a specific day of the year.get
search_queries
    Get suggested or trending search queries.get
search_unified
    Search the Platform for Bible verses and related topics.get
search_topics
    Search the Platform for topics related to a query.get
search_verses
    Search the Platform for Bible verses.get
apps
    Get details about a specific app in the Platform.get
Schemas
Transformers
Transformers

search_queries

Endpoint

Get suggested or trending search queries.

GET
https://api.youversion.com
/v1/search-queries

Returns query objects (a search string and its source). Supply query with language_ranges[] for as-you-type suggestions, or trending=true with language_ranges[] for recently popular searches. When trending=true, query is ignored. The first language range supported by search is used.

Get suggested or trending search queries. › query Parameters

language_ranges[]
​string[] · required

An ordered list of language ranges using bracket notation. Use repeated parameters like language_ranges[]=en&language_ranges[]=es to supply multiple ranges, and use the wildcard * to match all languages. A language range is much like a language tag but may contain wildcards. See RFC 4647 section 2 for the full definition: https://www.rfc-editor.org/rfc/rfc4647.html#section-2 Language ranges in this parameter may only be of the Basic Range format.

query
​string

The partial query for as-you-type suggestions. Omit for trending queries.

Example: lo
trending
​boolean

Return recently popular searches for the language instead of suggestions.

Default: false

Get suggested or trending search queries. › Responses

Successful request

​object[] · readOnly · required
GET/v1/search-queries
curl --request GET \ --url 'https://api.youversion.com/v1/search-queries?language_ranges%5B%5D=%3Cvalue%3E'
shell
Example Responses
{ "data": [ { "text": "love", "source": "trending" } ] }
json
application/json

verse of the dayssearch_unified